eID middleware |

# eIDMW::PTEID_SisId Class Reference

Class for the id document on a SIS Card. More...

`#include <eidlib.h>`

Inheritance diagram for eIDMW::PTEID_SisId:

List of all members.

## Public Member Functions
virtual PTEIDSDK_API | ~PTEID_SisId ()
| Destructor.
PTEIDSDK_API const char * | getName ()
| Return Name field.
PTEIDSDK_API const char * | getSurname ()
| Return Surname field.
PTEIDSDK_API const char * | getInitials ()
| Return Initials field.
PTEIDSDK_API const char * | getGender ()
| Return Gender field.
PTEIDSDK_API const char * | getDateOfBirth ()
| Return Date Of Birth field.
PTEIDSDK_API const char * | getSocialSecurityNumber ()
| Return Social Security Number field.
PTEIDSDK_API const char * | getLogicalNumber ()
| Return Logical Number field.
PTEIDSDK_API const char * | getDateOfIssue ()
| Return Date Of Issue field.
PTEIDSDK_API const char * | getValidityBeginDate ()
| Return Validity Begin Date field.
PTEIDSDK_API const char * | getValidityEndDate ()
| Return Validity End Date field.
## Friends
PTEID_SisId & | PTEID_SISCard::getID ()
| For internal use : This method must access protected constructor.

## Detailed Description

Class for the id document on a SIS Card.

You can get such an object from PTEID_SISCard::getID() (or getDocument).

## Constructor & Destructor Documentation

virtual PTEIDSDK_API eIDMW::PTEID_SisId::~PTEID_SisId | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

PTEIDSDK_API const char* eIDMW::PTEID_SisId::getDateOfBirth | ( |  | ) |

Return Date Of Birth field.

PTEIDSDK_API const char* eIDMW::PTEID_SisId::getDateOfIssue | ( |  | ) |

Return Date Of Issue field.

PTEIDSDK_API const char* eIDMW::PTEID_SisId::getGender | ( |  | ) |

Return Gender field.

PTEIDSDK_API const char* eIDMW::PTEID_SisId::getInitials | ( |  | ) |

Return Initials field.

PTEIDSDK_API const char* eIDMW::PTEID_SisId::getLogicalNumber | ( |  | ) |

Return Logical Number field.

PTEIDSDK_API const char* eIDMW::PTEID_SisId::getName | ( |  | ) |

Return Name field.

PTEIDSDK_API const char* eIDMW::PTEID_SisId::getSocialSecurityNumber | ( |  | ) |

Return Social Security Number field.

PTEIDSDK_API const char* eIDMW::PTEID_SisId::getSurname | ( |  | ) |

Return Surname field.

PTEIDSDK_API const char* eIDMW::PTEID_SisId::getValidityBeginDate | ( |  | ) |

Return Validity Begin Date field.

PTEIDSDK_API const char* eIDMW::PTEID_SisId::getValidityEndDate | ( |  | ) |

Return Validity End Date field.

## Friends And Related Function Documentation

PTEID_SisId& PTEID_SISCard::getID | ( |  | ) | `[friend]`

For internal use : This method must access protected constructor.

The documentation for this class was generated from the following file:

- eidlib.h